
Katello - Bug #4752

Creating custom product results in candlepin stacktrace

03/20/2014 04:24 PM - Mike McCune

Status: Closed   

Priority: Urgent   

Assignee: Brad Buckingham   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1) login

2) Content -> Products -> Create Repository

3) Try to create a yum based repository, hit save

4) Note error:

Processing by Katello::Api::V2::RepositoriesController#create as JSON

Parameters: {"product_id"=>"91", "unprotected"=>true, "label"=>"repoz", "name"=>"repozzz", "content_type"=>"yum",

"url"=>"http://mmccune.fedorapeople.org/repos/demo/repo-3/", "organization_id"=>"ACME_Corporation", "api_version"=>"v2",

"repository"=>{"name"=>"repozzz", "label"=>"repoz", "unprotected"=>true, "content_type"=>"yum", "product_id"=>"91"}}

Katello::Resources::Candlepin::Environment: 500 Internal Server Error {"displayMessage":"Runtime Error Could not execute JDBC

batch update at

org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError:2,598","requestUuid":"7626c798-cf0c-40b3-9265-69

5f6eac558a"} (POST /candlepin/environments/1/content) (RestClient::InternalServerError)

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `block in transmit'

/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:746:in `start'

Associated revisions

Revision 7c9bc731 - 03/20/2014 05:25 PM - Justin Sherrill

fixes #4752 - fixed repository creation error due to improper puppet detection

also fixes double content environment add for candlepin versus adding and deleting

the appropriate ids

Revision 3a51393e - 03/20/2014 05:50 PM - Justin Sherrill

Merge pull request #3853 from jlsherrill/repo_create

fixes #4752 - fixed repository creation error due to improper puppet det...

History

#1 - 03/20/2014 04:25 PM - Mike McCune

Odd thing is, there is nothing in the tomcat6/catalina.out stating the error

#2 - 03/20/2014 04:25 PM - Mike McCune

- Status changed from New to Assigned

- Assignee changed from Justin Sherrill to Brad Buckingham

#3 - 03/20/2014 05:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100
Applied in changeset katello|commit:7c9bc7318d60e6774267d98c568a02621a9812c4.

#4 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#5 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
